> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Actualizar información del asistente del ticket

> Actualizar la información del asistente de un ticket de evento, incluyendo datos personales y respuestas a campos personalizados. Permite actualizar campos existentes (con id) y crear nuevas respuestas para campos agregados después de la compra (sin id).



## OpenAPI

````yaml put /event/ticket/reference/{reference}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /event/ticket/reference/{reference}:
    put:
      tags:
        - Eventos
      summary: Actualizar información del asistente del ticket
      description: >-
        Actualizar la información del asistente de un ticket de evento,
        incluyendo datos personales y respuestas a campos personalizados.
        Permite actualizar campos existentes (con id) y crear nuevas respuestas
        para campos agregados después de la compra (sin id).
      parameters:
        - schema:
            type: string
            description: Referencia única del ticket
            example: TKT-ABC123
          required: true
          name: reference
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                firstName:
                  type: string
                  nullable: true
                lastName:
                  type: string
                  nullable: true
                document:
                  type: string
                  nullable: true
                email:
                  type: string
                  nullable: true
                  format: email
                status:
                  type: string
                  nullable: true
                  enum:
                    - NOT_ADMITTED
                    - ADMITTED
                    - CANCELLED
                customFieldResponses:
                  type: array
                  nullable: true
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                      customFieldId:
                        type: number
                      value:
                        type: string
                    required:
                      - customFieldId
                      - value
              example:
                firstName: Juan
                lastName: Pérez
                email: juan.perez@example.com
                document: '12345678'
                status: ADMITTED
                customFieldResponses:
                  - id: 123
                    customFieldId: 5
                    value: Vegano
                  - customFieldId: 10
                    value: Talla L
                  - customFieldId: 12
                    value: '42'
      responses:
        '200':
          description: Ticket actualizado exitosamente
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  invoiceId:
                    type: number
                  buyerFirstName:
                    type: string
                  buyerLastName:
                    type: string
                  buyerDocument:
                    type: string
                    nullable: true
                  buyerEmail:
                    type: string
                    nullable: true
                  buyerPhone:
                    type: string
                    nullable: true
                  totalAmount:
                    type: string
                  eventPageId:
                    type: number
                  pdfUrl:
                    type: string
                    nullable: true
                  reference:
                    type: string
                  createdAt:
                    type: string
                  customFieldResponses:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        customFieldId:
                          type: number
                        fieldLabel:
                          type: string
                        fieldType:
                          type: string
                        value:
                          type: string
                          nullable: true
                        optionId:
                          type: number
                          nullable: true
                        wasRequired:
                          type: boolean
                      required:
                        - id
                        - customFieldId
                        - fieldLabel
                        - fieldType
                        - value
                        - optionId
                        - wasRequired
                  eventPage:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                      reference:
                        type: string
                    required:
                      - id
                      - name
                      - reference
                  attendee:
                    type: object
                    properties:
                      id:
                        type: number
                      firstName:
                        type: string
                        nullable: true
                      lastName:
                        type: string
                        nullable: true
                      document:
                        type: string
                        nullable: true
                      email:
                        type: string
                        nullable: true
                      status:
                        type: string
                      amount:
                        type: string
                      reference:
                        type: string
                      qrUrl:
                        type: string
                        nullable: true
                      generateQr:
                        type: boolean
                      pdfUrl:
                        type: string
                        nullable: true
                      askInformation:
                        type: boolean
                      isAdditional:
                        type: boolean
                      customFieldResponses:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: number
                            customFieldId:
                              type: number
                            fieldLabel:
                              type: string
                            fieldType:
                              type: string
                            value:
                              type: string
                              nullable: true
                            optionId:
                              type: number
                              nullable: true
                            wasRequired:
                              type: boolean
                          required:
                            - id
                            - customFieldId
                            - fieldLabel
                            - fieldType
                            - value
                            - optionId
                            - wasRequired
                      itemName:
                        type: string
                    required:
                      - id
                      - firstName
                      - lastName
                      - document
                      - email
                      - status
                      - amount
                      - reference
                      - qrUrl
                      - generateQr
                      - pdfUrl
                      - askInformation
                      - isAdditional
                      - customFieldResponses
                      - itemName
                  isManual:
                    type: boolean
                  organizationId:
                    type: number
                required:
                  - id
                  - invoiceId
                  - buyerFirstName
                  - buyerLastName
                  - buyerDocument
                  - buyerEmail
                  - buyerPhone
                  - totalAmount
                  - eventPageId
                  - pdfUrl
                  - reference
                  - createdAt
                  - customFieldResponses
                  - eventPage
                  - attendee
                  - isManual
                  - organizationId
        '400':
          description: Datos de entrada inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - message
        '404':
          description: Ticket no encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````